All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::linalg::detail::FastMatrix< SCALARTYPE > Class Template Reference

Internal helper class representing a row-major dense matrix used for the QR method for the purpose of computing eigenvalues. More...

`#include <qr-method.hpp>`

## Public Member Functions

| FastMatrix ()
| FastMatrix (vcl_size_t sz, vcl_size_t internal_size)
SCALARTYPE & | operator() (int i, int j)
SCALARTYPE * | row (int i)
SCALARTYPE * | begin ()
SCALARTYPE * | end ()

## Public Attributes

std::vector< SCALARTYPE > | data

## Detailed Description

### template<typename SCALARTYPE>
class viennacl::linalg::detail::FastMatrix< SCALARTYPE >

Internal helper class representing a row-major dense matrix used for the QR method for the purpose of computing eigenvalues.

Definition at line 193 of file qr-method.hpp.

## Constructor & Destructor Documentation

template<typename SCALARTYPE>

viennacl::linalg::detail::FastMatrix< SCALARTYPE >::FastMatrix | ( |  | ) |

inline

Definition at line 196 of file qr-method.hpp.

template<typename SCALARTYPE>

viennacl::linalg::detail::FastMatrix< SCALARTYPE >::FastMatrix | ( | vcl_size_t | sz,
|  | vcl_size_t | internal_size
| ) |  |

inline

Definition at line 201 of file qr-method.hpp.

## Member Function Documentation

template<typename SCALARTYPE>

SCALARTYPE* viennacl::linalg::detail::FastMatrix< SCALARTYPE >::begin | ( |  | ) |

inline

Definition at line 216 of file qr-method.hpp.

template<typename SCALARTYPE>

SCALARTYPE* viennacl::linalg::detail::FastMatrix< SCALARTYPE >::end | ( |  | ) |

inline

Definition at line 221 of file qr-method.hpp.

template<typename SCALARTYPE>

SCALARTYPE& viennacl::linalg::detail::FastMatrix< SCALARTYPE >::operator() | ( | int | i,
|  | int | j
| ) |  |

inline

Definition at line 206 of file qr-method.hpp.

template<typename SCALARTYPE>

SCALARTYPE* viennacl::linalg::detail::FastMatrix< SCALARTYPE >::row | ( | int | i | ) |

inline

Definition at line 211 of file qr-method.hpp.

## Member Data Documentation

template<typename SCALARTYPE>

std::vector<SCALARTYPE> viennacl::linalg::detail::FastMatrix< SCALARTYPE >::data

Definition at line 226 of file qr-method.hpp.

The documentation for this class was generated from the following file:

- viennacl/linalg/qr-method.hpp